classification
Title: inconsistency in http.server.test
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: martin.panter, python-dev, rbcollins, wdv4758h
Priority: normal Keywords: patch

Created on 2015-08-01 19:19 by wdv4758h, last changed 2015-08-17 00:21 by rbcollins. This issue is now closed.

Files
File name Uploaded Description Edit
fix_description.patch wdv4758h, 2015-08-01 19:19 fix description
Messages (6)
msg247821 - (view) Author: Chiu-Hsiang Hsu (wdv4758h) * Date: 2015-08-01 19:19
In http.server.test, it still say "This runs an HTTP server on port 8000 (or the first command line argument).", but it won't read command line argument any more.

since this commit (https://hg.python.org/cpython/rev/935a656359ae)
msg247834 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-08-01 22:30
Patch looks okay to me, although another option could be to move the argument parsing back into the test() function, where it was originally.

BTW I don’t think the 3.3 branch is open to fixes like this any more.
msg247870 - (view) Author: Chiu-Hsiang Hsu (wdv4758h) * Date: 2015-08-02 14:08
I'm not quite sure we should put argument parsing back into the test() function or just fix docstring. It already expose port and bind through function arguments. It looks wierd to me to have function arguments & CLI arguments modifying the same variable in the same time. If we want to move argument parsing back, I think we should clean the function parameters. In this way, the docstring of test function still need some update, though. (we have much more CLI arguments now)
msg248240 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-08-08 00:40
Yeah you are probably right. This way keeps things simple.
msg248696 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-08-17 00:20
New changeset d9e0c82d8653 by Robert Collins in branch '3.4':
Issue #24774: Fix docstring in http.server.test.
https://hg.python.org/cpython/rev/d9e0c82d8653

New changeset 845c79097c21 by Robert Collins in branch '3.5':
Issue #24774: Fix docstring in http.server.test.
https://hg.python.org/cpython/rev/845c79097c21

New changeset a8de693ebe66 by Robert Collins in branch 'default':
Issue #24774: Fix docstring in http.server.test.
https://hg.python.org/cpython/rev/a8de693ebe66
msg248697 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-08-17 00:21
Thanks for the patch. Applied to 3.4 and up.
History
Date User Action Args
2015-08-17 00:21:01rbcollinssetstatus: open -> closed

nosy: + rbcollins
messages: + msg248697

resolution: fixed
stage: commit review -> resolved
2015-08-17 00:20:14python-devsetnosy: + python-dev
messages: + msg248696
2015-08-08 00:40:15martin.pantersetmessages: + msg248240
stage: patch review -> commit review
2015-08-02 14:08:25wdv4758hsetmessages: + msg247870
2015-08-01 22:30:14martin.pantersetversions: - Python 3.3
nosy: + martin.panter

messages: + msg247834

stage: patch review
2015-08-01 19:19:49wdv4758hcreate